Package org.jboss.resteasy.client.jaxrs.internal.proxy.processors

## Class ProcessorFactory

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.processors.ProcessorFactory

-     public class ProcessorFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessorFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Object` | `createProcessor​(Class<?> declaring, String defaultParameterName, ClientConfiguration configuration, Class<?> type, Annotation[] annotations, Type genericType, AccessibleObject target, boolean ignoreBody)` |
    `static Object` | `createProcessor​(Class<?> declaring, String defaultParameterName, ClientConfiguration configuration, Class<?> type, Annotation[] annotations, Type genericType, AccessibleObject target, javax.ws.rs.core.MediaType defaultConsumes, boolean ignoreBody)` |
    `static Object[]` | `createProcessors​(Class declaringClass, Method method, ClientConfiguration configuration)` |
    `static Object[]` | `createProcessors​(Class declaringClass, Method method, ClientConfiguration configuration, javax.ws.rs.core.MediaType defaultConsumes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessorFactory

          public ProcessorFactory()

  - ### Method Detail

    - #### createProcessors

          public static Object[] createProcessors​(Class declaringClass,
                                                  Method method,
                                                  ClientConfiguration configuration)

    - #### createProcessors

          public static Object[] createProcessors​(Class declaringClass,
                                                  Method method,
                                                  ClientConfiguration configuration,
                                                  javax.ws.rs.core.MediaType defaultConsumes)

    - #### createProcessor

          public static Object createProcessor​(Class<?> declaring,
                                               String defaultParameterName,
                                               ClientConfiguration configuration,
                                               Class<?> type,
                                               Annotation[] annotations,
                                               Type genericType,
                                               AccessibleObject target,
                                               boolean ignoreBody)

    - #### createProcessor

          public static Object createProcessor​(Class<?> declaring,
                                               String defaultParameterName,
                                               ClientConfiguration configuration,
                                               Class<?> type,
                                               Annotation[] annotations,
                                               Type genericType,
                                               AccessibleObject target,
                                               javax.ws.rs.core.MediaType defaultConsumes,
                                               boolean ignoreBody)